searchData={"items":[{"type":"module","title":"Klf200","doc":"Documentation for `Klf200`.","ref":"Klf200.html"},{"type":"function","title":"Klf200.connect/2","doc":"Connect to KLF 200 device","ref":"Klf200.html#connect/2"},{"type":"function","title":"Klf200.nodes/0","doc":"","ref":"Klf200.html#nodes/0"},{"type":"function","title":"Klf200.position/2","doc":"","ref":"Klf200.html#position/2"},{"type":"module","title":"Klf200.Api","doc":"This module provides functions on a general API level to create requests and to parse responses.\nIt implements the basic protocol described by VELUX.\n\nThe actual commands and confirmations are defined in sub-modules.","ref":"Klf200.Api.html"},{"type":"function","title":"Klf200.Api.request/1","doc":"","ref":"Klf200.Api.html#request/1"},{"type":"function","title":"Klf200.Api.request/2","doc":"","ref":"Klf200.Api.html#request/2"},{"type":"function","title":"Klf200.Api.response/1","doc":"","ref":"Klf200.Api.html#response/1"},{"type":"module","title":"Klf200.Api.Confirmations","doc":"","ref":"Klf200.Api.Confirmations.html"},{"type":"function","title":"Klf200.Api.Confirmations.parse/2","doc":"","ref":"Klf200.Api.Confirmations.html#parse/2"},{"type":"module","title":"Klf200.Api.Requests","doc":"","ref":"Klf200.Api.Requests.html"},{"type":"function","title":"Klf200.Api.Requests.build/2","doc":"","ref":"Klf200.Api.Requests.html#build/2"},{"type":"module","title":"Klf200.Client","doc":"A client process that uses the API module to start a session with a VELUX klf200 GW.\nThis module handles the socket and connection layer (inlcuding SSL and session authentication).\nIt also keeps track of the state of the session (logged in? which confirmations are expected at the current step?) and forwards messages back to caller.\n\nIt provides a generic function to send commands as well as specific functions to initialize the connection.","ref":"Klf200.Client.html"},{"type":"function","title":"Klf200.Client.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Klf200.Client.html#child_spec/1"},{"type":"function","title":"Klf200.Client.command/1","doc":"","ref":"Klf200.Client.html#command/1"},{"type":"function","title":"Klf200.Client.command/2","doc":"","ref":"Klf200.Client.html#command/2"},{"type":"function","title":"Klf200.Client.connect/1","doc":"","ref":"Klf200.Client.html#connect/1"},{"type":"function","title":"Klf200.Client.login/1","doc":"","ref":"Klf200.Client.html#login/1"},{"type":"function","title":"Klf200.Client.nodes/0","doc":"","ref":"Klf200.Client.html#nodes/0"},{"type":"function","title":"Klf200.Client.start_link/1","doc":"","ref":"Klf200.Client.html#start_link/1"},{"type":"module","title":"Klf200.Client.SSL_Helper","doc":"See: https://mw.gl/posts/elixir_ssl/","ref":"Klf200.Client.SSL_Helper.html"},{"type":"function","title":"Klf200.Client.SSL_Helper.verify_cert_fingerprint/2","doc":"","ref":"Klf200.Client.SSL_Helper.html#verify_cert_fingerprint/2"},{"type":"function","title":"Klf200.Client.SSL_Helper.verify_fun/3","doc":"","ref":"Klf200.Client.SSL_Helper.html#verify_fun/3"},{"type":"module","title":"Klf200.Device","doc":"This module abstracts a klf200 device as it connects to a specified GW IP,\nquery for nodes and the internal state and keeps that information in the process state.\n\nIt starts a GenServer for that and uses the Client module to manage a connection to the GW.","ref":"Klf200.Device.html"},{"type":"function","title":"Klf200.Device.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Klf200.Device.html#child_spec/1"},{"type":"function","title":"Klf200.Device.start_link/1","doc":"","ref":"Klf200.Device.html#start_link/1"},{"type":"module","title":"Klf200.Slip","doc":"SLIP stands for the Serial Line Internet Protocol which is a basic encapsulation mechanism for IP packets.\nIt's documented in RFC 1055.\n\nThis module provides just two public functions to pack and unpack a frame.","ref":"Klf200.Slip.html"},{"type":"function","title":"Klf200.Slip.pack/1","doc":"","ref":"Klf200.Slip.html#pack/1"},{"type":"function","title":"Klf200.Slip.unpack/1","doc":"","ref":"Klf200.Slip.html#unpack/1"},{"type":"extras","title":"Klf200","doc":"# Klf200\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Examples - Klf200","doc":"Using Client API\n\n```elixir\nKlf200.Client.start_link\nKlf200.Client.connect(\"192.168.10.50\")\nKlf200.Client.login(\"password\")\nKlf200.Client.command(:GW_COMMAND_SEND_REQ, %{node: 0, position: 0}) # open\nKlf200.Client.command(:GW_COMMAND_SEND_REQ, %{node: 0, position: 100}) # close\n```","ref":"readme.html#examples"},{"type":"extras","title":"Installation - Klf200","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `klf200` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:klf200, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}